# $Revision: 1.26 $, $Date: 2004/11/15 15:43:32 $
Summary:	A bootloader which can be started from the SRM console
Summary(pl):	Bootloader uruchamialny z konsoli SRM
Summary(pt_BR):	Bootloader para ser inicializado pelo firmware SRM
Name:		aboot
Version:	0.9b
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/aboot/%{name}-%{version}.tar.gz
# Source0-md5:	00c35c192d320bb005ad9bead7043d2c
Patch0:		%{name}-doc_Makefile.patch
URL:		http://aboot.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	alpha

%description
The aboot program is the preferred way of booting Linux when using SRM
firmware (the firmware normally used to boot an DEC UNIX). Aboot
supports the creation of bootable block devices and contains a program
which can load Linux kernels from a filesystem which is bootable by
SRM. Aboot also supports direct booting from various filesystems
(ext2, ISO9660, UFS), booting of executable object files (ELF and
ECOFF), booting of compressed kernels, network booting (using bootp),
partition tables in DEC UNIX format, and interactive booting and
default configurations for SRM consoles that cannot pass long option
strings.

%description -l pl
Program aboot jest preferowanym sposobem bootowania Linuksa przy
uyciu SRM (zwykle uywanego do bootowania DEC UNIX). aboot pozwala na
tworzenie bootowalnych urzdze blokowych i zawiera program, ktry
moe bootowa jdra Linuksa z systemu plikw bootowalnego dla SRM.
Obsuguje take bezporednie bootowanie z wielu systemw plikw (ext2,
ISO9660, UFS), bootowanie plikw wykonywalnych (ELF i ECOFF),
bootowanie skompresowanych jder, bootowanie z sieci (przez bootp),
tablice partycji w formacie DEC UNIX, interaktywne bootowanie oraz
standardowe konfiguracje konsol SRM, ktre nie pozwalaj na
przekazywanie dugich nazw opcji.

%description -l pt_BR
O programa aboot  a maneira recomendada para inicializar o Linux
quando  utilizado o firmware SRM (o firmware normalmente utilizado para
inicializar o DEC UNIX). Aboot suporta a criao de dispositivos
inicializveis e contm um programa que pode carregar o kernel Linux de
um sistema de arquivos que  inicializvel pelo SRM. Aboot tambm suporta
inicializao diretamente a partir de vrios sistemas de arquivos (ext2,
ISO9660, UFS), carga de arquivos executveis (ELF e ECOFF), carga de kernels
compactados, boot remoto (utilizando bootp), tabelas de partio no formato
DEC UNIX, e inicializao interativa e configuraes default para consoles
SRM que no suportam a passagem de opes longas.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	KSRC=/usr/src/linux-2.4

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) /sbin/*
%attr(640,root,root) /boot/bootlx
%{_mandir}/man8/*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aboot.spec,v $
Revision 1.26  2004/11/15 15:43:32  undefine
- stupid change to kernel-2.4 sources... builds now

Revision 1.25  2004/10/05 19:16:34  darekr
- added URL

Revision 1.24  2003/08/06 16:03:55  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.23  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.22  2003/06/17 14:43:41  djrzulf
- updated to 0.9b,

Revision 1.21  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/25 11:18:19  qboosh
- working Source URL

Revision 1.19  2002/09/11 11:46:10  undefine
- changed url(previous hangs pldnotify)
- pt_BR summary/description
- new %doc

Revision 1.18  2002/04/25 15:41:11  arturs
fixed a small typo

Revision 1.17  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/02 01:54:17  kloczek
- spec adapterized.

Revision 1.14  2002/01/31 09:38:57  dobrek
-Upgraded to 0.9.
-clenups.

Revision 1.13  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/11 12:05:54  qboosh
- pl translations, simplifications in %%install

Revision 1.11  2001/07/20 11:48:38  dobrek
-added abootman

Revision 1.10  2001/07/20 11:34:22  dobrek
- Upgraded to 0.7a
- changed license to GPL. It is GPL.
- realase = 1
- added changelog to docs.

Revision 1.9  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.8  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.7  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/15 01:21:34  kura
[0.5-12]
- added using macros
- 'mkdir -p' replaced with 'install -d'
- removed '-p' for 'cp'
- added gzipping documentation
- added %defattr(644,root,root,755)
- changed permissions on /boot/bootlx to 640
- removed %{aboot_version} macro
- Group changed to Utilities/System
- added Group(pl)
- cosmetics

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- patch from Jay Estabrook to make it work with EXT2 filesystems larger
  than 2Gb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for Red HAt 6.0

* Tue Sep 15 1998 Richard Henderson <rth@cygnus.com>
- use aboot.lds for elf, so that the phdr comes out right.
- relax the need to have a compiled kernel installed.
- make sdisklabel take partition sizes in sectors, not kilobytes.

* Thu Aug 20 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- corrected a small but essential error in the ELF patch

* Mon Aug  3 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- added a patch to allow booting of ELF images created with binutils >= 2.9
- compiled against glibc 2.0.94

* Sun May 31 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- made changes needed for glibc2 and 2.1.x kernels
